# Create an ACH positive pay rule

**POST** `/ach-positive-pay-rules`

Creates an ACH positive pay rule on a bank account.

### Body Parameters

- `ach_company_id` `string` _(required)_ — The ACH Company ID for the rule. This is a ten digit identifier.
- `amount` `number` — the amount threshold in cents that will be used in rule evaluation. Must not be set if `amount_condition` is set to `ANY_AMOUNT`
- `amount_condition` `string` _(required)_ — This required field configures the rule to make a specific kind of amount comparison. equal: The incoming debit will only be permitted if the transfer amount equals the rule amount. `less_than_or_equal_to`: The incoming debit will only be permitted if the transfer amount is less than or equal to the rule amount. `any_amount`: The incoming debit will be permitted for any amount.
- `bank_account_id` `string` _(required)_ — ID of the bank account this rule applies to
- `description` `string` _(required)_ — Description of the rule. Maximum length: `255` characters.

**Request**

```shell
curl 'https://api.column.com/positive-pay-rules' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d ach_company_id="1234567890" \
  -d amount=10000 \
  -d amount_condition="less_than_or_equal_to" \
  -d bank_account_id="<bank_account_id>" \
  -d description="example ACH Positive Pay rule" \
```

**Response 200**

```json
{
  "ach_company_id": "1234567890",
  "ach_positive_pay_rule_id": "appr_2iqaXhOkS89lL7apWzSx0lGWRdu",
  "amount": 100,
  "amount_condition": "less_than_or_equal_to",
  "bank_account_id": "bacc_2ipgDr97nxf9lfFkI8aopgnYX3M",
  "description": "example ACH Positive Pay rule"
}
```
